<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
    <p-panel>
        <p-header>
            <!-- {{'global.field.id' | translate}} : {{purchaseOrder.idOrder}} -->
            <ul class="nav justify-content-end">
                <li class="nav-item">
                    <a class="btn" (click)="previousState()" style="cursor: pointer;"><i class="fa fa-chevron-left"></i>
                        &nbsp;{{'entity.action.back' | translate}}</a>
                </li>
                <li class="nav-item" [hidden]="(purchaseOrder.idStatusType > '5')">
                    <a class="btn" (click)="save()" href="javascript:void(0)" style="cursor: pointer;"><i
                            class="fa fa-save"></i> &nbsp;{{'entity.action.save' | translate}}</a>
                </li>
                <li class="nav-item" [hidden]="(purchaseOrder.idStatusType != '12')">
                    <a class="btn" (click)="save()" href="javascript:void(0)" style="cursor: pointer;"><i
                            class="fa fa-save"></i> &nbsp;{{'entity.action.save' | translate}}</a>
                </li>
            </ul>
        </p-header>
        <div class="text-left" style="margin-bottom: 15px;">
            <div class="ui-g ui-fluid">
                <div class="ui-g-12 ui-md-4">
                    <div class="form-group">
                        <label class="form-control-label" for="field_purchaseNumber">Nomor Permintaan</label>
                        <input type="text" class="form-control" name="purchaseNumber" id="field_purchaseNumber"
                            [(ngModel)]="purchaseOrder.noPurchaseOrder" readonly />
                    </div>
                </div>
                <div class="ui-md-4">
                    <div class="form-group">
                        <label class="form-control-label" for="field_divition">Divisi</label>
                        <select class="form-control" id="field_divition" name="divition"
                            [(ngModel)]="purchaseOrder.divition" [disabled]="readonly">
                            <option [ngValue]="null"></option>
                            <option [ngValue]="divitionOption.value" *ngFor="let divitionOption of divitions">
                                {{divitionOption.value}}</option>
                        </select>
                    </div>
                </div>
                <div class="ui-md-4" [hidden]="(internal !== 'TEKNIK')">
                    <div class="form-group">
                        <label class="form-control-label" for="field_Tipe">Tipe</label>
                        <select class="form-control" id="field_tipe" name="tipe" [(ngModel)]="inputTipe"
                            [disabled]="readonly">
                            <option [ngValue]="null"></option>
                            <option [ngValue]="tipeOption.value" *ngFor="let tipeOption of tipe">{{tipeOption.label}}
                            </option>
                        </select>
                    </div>
                </div>
                <div class="ui-md-4">
                    <div class="form-group">
                        <label class="form-control-label" for="field_dtOrder">Tanggal Permintaan</label>
                        <div class="input-group">
                            <p-calendar inputId="field_dtOrder" name="input_dtOrder" [(ngModel)]="dtOrder"
                                dateFormat="dd-MM-yy" [monthNavigator]="true" [yearNavigator]="true"
                                yearRange="2000:2999" [showIcon]="true" [disabled]="true"></p-calendar>
                        </div>
                    </div>
                </div>
                <div class="ui-md-4">
                    <div class="form-group">
                        <label class="form-control-label" for="field_dtNecessity">Tgl Dibutuhkan</label>
                        <div class="input-group">
                            <p-calendar inputId="field_dtNecessity" name="input_dtNecessity" [(ngModel)]="dtNecessity"
                                dateFormat="dd-MM-yy" [monthNavigator]="true" [yearNavigator]="true"
                                yearRange="2000:2999" [showTime]="true" [showIcon]="true"
                                [minDate]="minimumDate"></p-calendar>
                        </div>
                    </div>
                </div>
                <!-- <div class="ui-md-4">
                    <div class="form-group">
                        <label class="form-control-label" for="field_Sifat">Sifat</label>
                        <select class="form-control" id="field_sifat" name="sifat" [(ngModel)]="purchaseOrder.sifat" editable="editable">
                            <option [ngValue]="null"></option>
                            <option [ngValue]="sifatOption.value" *ngFor="let sifatOption of sifats">{{sifatOption.value}}</option>
                        </select>
                    </div>
                </div> -->
                <div class="ui-md-4">
                    <div class="form-group">
                        <label class="form-control-label mandatory" for="field_need">Peruntukan</label>
                        <select class="form-control" id="field_need" name="need" [(ngModel)]="purchaseOrder.needs"
                            editable="editable">
                            <option [ngValue]="null"></option>
                            <option [ngValue]="needOption.value" *ngFor="let needOption of needs">{{needOption.value}}
                            </option>
                        </select>
                    </div>
                </div>
                <!-- <div class="ui-md-8">
                    <div class="form-group">
                        <label class="form-control-label" for="field_ket">Catatan</label>
                        <input type="text" class="form-control" name="ket" id="field_ket"
                            [(ngModel)]="inputKet" />
                    </div>
                </div> -->
                <div class="ui-md-4">
                    <div class="form-group">
                        <label class="form-control-label " for="field_createdBy">Created By</label>
                        <input type="text" class="form-control" name="createdBy" id="field_createdBy"
                            [(ngModel)]="purchaseOrder.createdBy" readonly />
                    </div>
                </div>
                <div class="ui-md-4" [hidden]="(idlocal === 'pusat')">
                    <div class="form-group">
                        <label class="form-control-label mandatory" for="field_diusilkan1">Diusulkan Oleh</label>
                        <select class="form-control" id="field_diusilkan1" name="diusulkan1"
                            [(ngModel)]="purchaseOrder.diusulkan">
                            <option [ngValue]="needOption.value" *ngFor="let needOption of listUSL">{{needOption.value}}
                            </option>
                        </select>
                    </div>
                </div>
                <div class="ui-md-4" [hidden]="(idlocal === 'pabrik')">
                    <div class="form-group">
                        <label class="form-control-label mandatory" for="field_diusilkan">Diusulkan Oleh</label>
                        <select class="form-control" id="field_diusilkan" name="diusulkan"
                            [(ngModel)]="purchaseOrder.appDept">
                            <option [ngValue]="needOption.value" *ngFor="let needOption of listMGR">{{needOption.value}}
                            </option>
                        </select>
                    </div>
                </div>
                <div class="ui-md-4" [hidden]="(idlocal === 'pusat')">
                    <div class="form-group">
                        <label class="form-control-label mandatory" for="field_appAsmen">Assistant Manager
                            Departemen</label>
                        <select class="form-control" id="field_appAsmen" name="appAsmen"
                            [(ngModel)]="purchaseOrder.appasmen">
                            <option [ngValue]="needOption.value" *ngFor="let needOption of listASSMGR">
                                {{needOption.value}}</option>
                        </select>
                    </div>
                </div>
                <div class="ui-md-4" [hidden]="(idlocal === 'pusat')">
                    <div class="form-group">
                        <label class="form-control-label mandatory" for="field_appDept">Manager Departemen</label>
                        <select class="form-control" id="field_appDept" name="appDept"
                            [(ngModel)]="purchaseOrder.appDept">
                            <option [ngValue]="needOption.value" *ngFor="let needOption of listMGR">{{needOption.value}}
                            </option>
                        </select>
                    </div>
                </div>
                <div class="ui-md-4" [hidden]="(idlocal === 'pabrik')">
                    <div class="form-group">
                        <label class="form-control-label mandatory" for="field_appPabrik">Kepala Bagian</label>
                        <!-- <input type="text" class="form-control" name="appPabrik" id="field_appPabrik"
                            [(ngModel)]="purchaseOrder.appPabrik" /> -->
                        <select class="form-control" id="field_appPabrik" name="appPabrik"
                            [(ngModel)]="purchaseOrder.appPabrik">
                            <option [ngValue]="needOption.value" *ngFor="let needOption of listKBG">{{needOption.value}}
                            </option>
                        </select>
                    </div>
                </div>
                <div class="ui-md-4" [hidden]="(idlocal === 'pusat')">
                    <div class="form-group">
                        <label class="form-control-label mandatory" for="field_appPabrik">Kepala Bagian</label>
                        <input type="text" class="form-control" name="appPabrik" id="field_appPabrik"
                            [(ngModel)]="purchaseOrder.appPabrik" readonly />
                    </div>
                </div>
                <div class="ui-md-4">
                    <div class="form-group">
                        <label class="form-control-label " for="field_appPembelian">Pembelian</label>
                        <input type="text" class="form-control" name="appPembelian" id="field_appPembelian"
                            [(ngModel)]="purchaseOrder.appPembelian" readonly />
                    </div>
                </div>
                <div class="ui-md-12">
                    <label class="form-control-label " for="field_Lab">Optional Lintas Departemen </label>
                </div>
                <div class="ui-md-4">
                    <div class="form-group">
                        <label class="form-control-label" for="field_app1">Approval 1</label>
                        <select class="form-control" id="field_app1" name="app1" [(ngModel)]="purchaseOrder.app1">
                            <option [ngValue]="needOption.value" *ngFor="let needOption of listAPP">{{needOption.label}}
                            </option>
                        </select>
                    </div>
                </div>
                <div class="ui-md-4">
                    <div class="form-group">
                        <label class="form-control-label" for="field_app2">Approval 2</label>
                        <select class="form-control" id="field_app2" name="app2" [(ngModel)]="purchaseOrder.app2">
                            <option [ngValue]="needOption.value" *ngFor="let needOption of listAPP">{{needOption.label}}
                            </option>
                        </select>
                    </div>
                </div>
                <div class="ui-md-12">
                    <label class="form-control-label" for="field_Attachment">Attachment</label>
                    <br>
                    <p-lightbox type="content">
                        <a class="group" href="#">
                            <img [src]="'data:' + purchaseOrder.contentContentType + ';base64,' + purchaseOrder.content"
                                style="max-height: 230px;" alt="  PP" />
                        </a>
                        <img [src]="'data:' + purchaseOrder.contentContentType + ';base64,' + purchaseOrder.content"
                            style="max-width: 500px;" alt="  PP" />
                    </p-lightbox>
                    <div>
                        <img [src]="'data:' + purchaseOrder.contentContentType + ';base64,' + purchaseOrder.content"
                            style="max-height: 300px;" *ngIf="purchaseOrder.content" alt="  PP" />
                        <div *ngIf="purchaseOrder.content" class="form-text text-danger clearfix">
                            <span class="pull-left">{{purchaseOrder.contentContentType}},
                                {{byteSize(purchaseOrder.content)}}</span>
                            &nbsp;&nbsp;&nbsp;
                            <button type="button"
                                (click)="clearInputImage('content', 'contentContentType', 'fileImage')"
                                class="btn btn-secondary">
                                <span class="fa fa-times"></span>
                            </button>
                            <button type="button" (click)="openPDF('content', 'contentContentType')"
                                class="btn btn-secondary">
                                <span class="fa fa-eye"></span>
                            </button>
                        </div>
                        <input type="file" id="file_content"
                            (change)="setFileData($event, purchaseOrder, 'content', true)"
                            accept=".pdf,.doc,.docx, image/*" jhiTranslate="entity.action.addimage" />
                        <div [hidden]="!isValidImage" class="text-danger">
                            {{'mpmApp.document.fileLimit' | translate}}
                        </div>
                        <div>
                            <small>max file size: {{maxFileSize | ByteSize}}</small>
                        </div>
                        <!--START INPUT UNTUK VALIDASI REQUIRED IMAGE-->
                        <input type="text" style="display:none;" name="isInsertFile" [(ngModel)]="isInsertFile"
                            required>
                        <!--END INPUT UNTUK VALIDASI REQUIRED IMAGE-->
                    </div>
                    <input type="hidden" class="form-control" name="content" id="field_content"
                        [(ngModel)]="purchaseOrder.content" />
                    <input type="hidden" class="form-control" name="contentContentType" id="field_contentContentType"
                        [(ngModel)]="purchaseOrder.contentContentType" />
                </div>
            </div>
        </div>
        <jhi-purchase-order-item-in-purchase-order-as-list [idPurchaseOrder]="idPurchaseOrder"
            [peruntukan]="purchaseOrder.needs" [idstatus]="purchaseOrder.idStatusType" [usrLogin]="curAccount">
        </jhi-purchase-order-item-in-purchase-order-as-list>
    </p-panel>
</form>
<p-confirmDialog></p-confirmDialog>